Bug 222612 - www/qt5-webkit: for armv6/v7: The cacheFlush support is missing on this platform
Summary: www/qt5-webkit: for armv6/v7: The cacheFlush support is missing on this platform
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: kde
URL:
Keywords:
Depends on: 216816 qt5-rearm-webkit
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-26 01:37 UTC by Mark Millard
Modified: 2017-12-19 01:55 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
Fix build on armv6 and armv7 (7.27 KB, patch)
2017-09-27 13:42 UTC, Michal Meloun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Millard 2017-09-26 01:37:41 UTC
[This is basically extracted from side/additional notes in bugzilla
216816. The latest patch from there is needed to get this far. To get
this far a patch for a patch from bugzilla 215974 for audio/liba52
was also needed.]

There is a www/qt5-webkit error for armv6/v7
(-mcpu=cortex-a7 used in my context):

The cacheFlush support is missing on this platform.

FYI: with the other pending patches as well, applying:

http://build.humusoft.cz/patches/www/qt5-webkit/qt5-webkit.diff

allowed www/qt5-webkit to build just fine. (The URL was
listed in comment 19 of 216816.)


Note:
[bugzilla 207099 was a report of this sort of message
for lang/qt5-qml . 216735 was as well but was closed
as fixed for lang/qt5-qml.]


The specifics of the build's error report are:

The specific lines from the www/qt5-webkit log file
for the build attempt are:

In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/heap/CopiedSpaceInlines.h:32:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/runtime/VM.h:32:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/runtime/ControlFlowProfiler.h:30:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/runtime/BasicBlockLocation.h:30:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/assembler/MacroAssembler.h:40:
In file included from /wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/assembler/MacroAssemblerARM.h:33:
/wrkdirs/usr/ports/www/qt5-webkit/work/qtwebkit-5.212.0-alpha2/Source/JavaScriptCore/assembler/ARMAssembler.h:1132:2: error: "The cacheFlush support is missing on this platform."
#error "The cacheFlush support is missing on this platform."
 ^
1 error generated.
ninja: build stopped: subcommand failed.
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/qt5-webkit
=>> Cleaning up wrkdir
===>  Cleaning for qt5-webkit-5.212.0.a2_1
build of www/qt5-webkit | qt5-webkit-5.212.0.a2_1 ended at Mon Sep 25 01:26:16 PDT 2017
build time: 00:05:12
!!! build failure encountered !!!
Comment 1 Mark Millard 2017-09-26 01:46:37 UTC
FYI:

I've not managed to test building
for arm64.aarch64 because:

lang/ruby23
www/w3m

both failed to build in my quick
tries (each time). So www/qt5-webkit
was skipped.
Comment 2 Michal Meloun freebsd_committer 2017-09-27 13:42:52 UTC
Created attachment 186759 [details]
Fix build on armv6 and armv7

The attached patch fixes build for armv6 and armv7 platforms.
Comment 3 mikael.urankar 2017-10-28 13:52:09 UTC
ping, it blocks 67 ports on arm
Comment 4 commit-hook freebsd_committer 2017-11-03 18:06:28 UTC
A commit references this bug:

Author: tcberner
Date: Fri Nov  3 18:06:16 UTC 2017
New revision: 453418
URL: https://svnweb.freebsd.org/changeset/ports/453418

Log:
  Fix qt5 builds on some arm architectures

  * 222612: www/qt5-webkit: for armv6/v7: The cacheFlush support is missing on this platform
  * 216816: devel/qt5: In arch.test, use CXXFLAGS from make environment

  PR:		222612,216816, 223289
  Exp-run by:	antoine
  Submitted by:	mmel, mikael.urankar@gmail.com
  Reported by:	Mark Millard <markmi@dsl-only.net>, mmel
  Reviewed by:	mmel, mikael.urankar@gmail.com
  Differential Revision:	https://reviews.freebsd.org/D12816

Changes:
  head/Mk/bsd.qt.mk
  head/devel/qt5/files/extrapatch-config.tests_unix_arch.test
  head/www/qt5-webkit/files/patch-Source_JavaScriptCore_assembler_ARMAssembler.h
  head/www/qt5-webkit/files/patch-Source_JavaScriptCore_assembler_ARMv7Assembler.h
  head/www/qt5-webkit/files/patch-Source_JavaScriptCore_offlineasm_arm.rb
  head/www/qt5-webkit/files/patch-Source_WTF_wtf_Platform.h
  head/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
  head/www/qt5-webkit/files/patch-Source_bmalloc_bmalloc_BPlatform.h
Comment 5 Tobias C. Berner freebsd_committer 2017-11-03 18:12:44 UTC
Thanks for the patches.